Class Specialization
Tupler
Outputs tuples of the tupleLen consecutive elements of the input stream.

Pipe

Tupler

Pipe<TInput, Tupler<tupleLen, omitLast> >
Include Headers
seqan/pipe.h
Parameters

TInput | The type of the pipeline module this module reads from.
tupleLen | The tuple length. Remarks: The tuples contain elements in[i]in[i+1]...in[i+(tupleLen-1)].
omitLast | Omit half filled tuples. If true, the output stream is tupleLen-1 elements shorter than the input stream. If false, the lengths are identical and the last tuples are filled with blanks (default constructed elements) for undefined entries.

Remarks
The output type is a Tuple of input elements and length tupleLen (i.e. Tuple<Value<TInput>::Type, tupleLen>).
The tuples are sequences of the form in[i]in[i-1]in[i-2]..in[i-tupleLen+1]. For omitLast=false i begins with 0 and for omitLast=true i begins with tupleLen-1.
Specialization of
Pipe
Member Functions

Pipe | Constructor (Pipe)

Functions

assign | Assigns one object to another object. (Pipe)
atEnd | Determines whether an iterator is at the end position. (Pipe)
beginRead | Initiates a read process. (Pipe)
endRead | Terminates a read process. (Pipe)
front | Gets the first element of the remaining stream. (Pipe)
length | The number of items/characters. (Pipe)
pop | Pops the first element of the remaining stream. (Pipe)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52